GOLF(2gg)

NAME
write-fifo - (FIFO)

PURPOSE
Write key/value pair into a FIFO list.

SYNTAX

        write-fifo <list> \
            key <key> \
            value <value>

DESCRIPTION
write-fifo adds a pair of key/value pointers to the FIFO <list>, specified with strings <key> and <value> (in "key" and "value" clauses, collectively called an "element").

It always adds elements to the end of the list.

EXAMPLES

        new-fifo nf
        write-fifo nf key "mykey" value "myvalue"

SEE ALSO
 FIFO

delete-fifo new-fifo purge-fifo read-fifo rewind-fifo write-fifo See all documentation